Bug 1292965 - [abrt] gnome-terminal: gdk_wayland_device_get_focus(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: gdk_wayland_device_get_focus(): gnome-terminal-server ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:921306ab28d9254d472578566ba...
: 1296857 (view as bug list)
Depends On:
Blocks: F24FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2015-12-18 21:29 UTC by Joachim Frieben
Modified: 2016-01-12 08:22 UTC (History)
11 users (show)

Fixed In Version: gtk3-3.19.6-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-11 19:39:40 UTC


Attachments (Terms of Use)
File: backtrace (29.40 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: cgroup (259 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: core_backtrace (8.23 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: dso_list (10.20 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: environ (698 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: maps (50.05 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.52 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: open_fds (980 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-18 21:29 UTC, Joachim Frieben
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1293040 None None None Never
Red Hat Bugzilla 1293993 None None None Never
Red Hat Bugzilla 1294106 None None None Never
Red Hat Bugzilla 1295832 None None None Never
Red Hat Bugzilla 1296411 None None None Never
Red Hat Bugzilla 1296672 None None None Never
Red Hat Bugzilla 1297146 None None None Never


Description Joachim Frieben 2015-12-18 21:29:18 UTC
Version-Release number of selected component:
gnome-terminal-3.18.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gdk_wayland_device_get_focus
executable:     /usr/libexec/gnome-terminal-server
global_pid:     4980
kernel:         4.4.0-0.rc5.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 popup_grab_on_window at gtkmenu.c:1509
 #3 gtk_menu_popup_for_device at gtkmenu.c:1674
 #4 gtk_menu_popup at gtkmenu.c:1838
 #5 gtk_menu_item_real_popup_submenu at gtkmenuitem.c:2008
 #6 _gtk_menu_item_popup_submenu at gtkmenuitem.c:2098
 #7 gtk_real_menu_item_select at gtkmenuitem.c:1820
 #12 gtk_menu_item_select at gtkmenuitem.c:1465
 #13 gtk_menu_shell_real_select_item at gtkmenushell.c:1287

Comment 1 Joachim Frieben 2015-12-18 21:29:27 UTC
Created attachment 1107427 [details]
File: backtrace

Comment 2 Joachim Frieben 2015-12-18 21:29:29 UTC
Created attachment 1107428 [details]
File: cgroup

Comment 3 Joachim Frieben 2015-12-18 21:29:30 UTC
Created attachment 1107429 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2015-12-18 21:29:33 UTC
Created attachment 1107430 [details]
File: dso_list

Comment 5 Joachim Frieben 2015-12-18 21:29:34 UTC
Created attachment 1107431 [details]
File: environ

Comment 6 Joachim Frieben 2015-12-18 21:29:36 UTC
Created attachment 1107432 [details]
File: exploitable

Comment 7 Joachim Frieben 2015-12-18 21:29:37 UTC
Created attachment 1107433 [details]
File: limits

Comment 8 Joachim Frieben 2015-12-18 21:29:44 UTC
Created attachment 1107434 [details]
File: maps

Comment 9 Joachim Frieben 2015-12-18 21:29:46 UTC
Created attachment 1107435 [details]
File: mountinfo

Comment 10 Joachim Frieben 2015-12-18 21:29:47 UTC
Created attachment 1107436 [details]
File: namespaces

Comment 11 Joachim Frieben 2015-12-18 21:29:49 UTC
Created attachment 1107437 [details]
File: open_fds

Comment 12 Joachim Frieben 2015-12-18 21:29:50 UTC
Created attachment 1107438 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2015-12-18 21:29:52 UTC
Created attachment 1107439 [details]
File: var_log_messages

Comment 14 Joachim Frieben 2015-12-18 21:35:19 UTC
Issue triggered by mouse-click events like selecting a menu in a gnome-terminal window.

Comment 15 Alexandre Mazari 2015-12-23 23:03:09 UTC
I was hit by a related crash whenever interacting with a drop down list.
Both are caused by gtk3 (as of 3.19.5) trying to get the touch grab in a non-touch environment.

Applying the patch at [0] locally fixes the issue.

[0] https://git.gnome.org/browse/gtk+/commit/?id=fc2879108d577ced23b46ca636be72e1883c3666

Comment 16 Bill Gianopoulos 2015-12-24 21:26:57 UTC
Another user experienced a similar problem:

This happens when I try to open any of the menu choices on the gnome-terminal menu bar.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gdk_wayland_device_get_focus
executable:     /usr/libexec/gnome-terminal-server
global_pid:     2768
kernel:         4.4.0-0.rc6.git0.1.fc24.x86_64
package:        gnome-terminal-3.18.2-1.fc24
reason:         gnome-terminal-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Bill Gianopoulos 2015-12-26 19:04:36 UTC
his appears to be fixed with current rawhide builds.

Comment 18 Bill Gianopoulos 2015-12-27 14:50:44 UTC
(In reply to Bill Gianopoulos from comment #17)
> his appears to be fixed with current rawhide builds.

Well maybe not.  I am still seeing this issue on the system I have with Intel graphics it seems to be fixed with AMD graphics, however.

Comment 19 Petr Schindler 2016-01-07 13:41:34 UTC
I've seen this issue few time yesterday and once today. I'm not sure what it precedes this. But sometimes when I want to switch to terminal it freezes and then it crashes. I use intel.

This could be quite a big problem, if terminal crashed during update or another important process it could cause a lot of problems.

I propose this bug as a final blocker as it violates the final criterion: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test.

All applications installed by default in Fedora Workstation must comply with each MUST and MUST NOT guideline in the Applications and Launchers policy."

Comment 20 Vít Ondruch 2016-01-07 13:55:58 UTC
I can reproduce this every time i try to open context menu above highlighted URL, which is pretty annoying. I typically do that building some package and I want to observe Koji web interface, hence open the link, but instead of observing, my terminal dies.

Comment 21 Alexandre Mazari 2016-01-07 14:03:14 UTC
AFAIK the roo cause of his bug is shared with https://bugzilla.redhat.com/show_bug.cgi?id=1293993

he attached patch fixes the issue. It simply backpor a gtk3 commit relative to focus handling. Should this be pushed or shall we wait for gtk 3.19.6 ?

Comment 22 Jakub Filak 2016-01-08 10:01:41 UTC
Similar problem has been detected:

GNOME on Wayland -> gnome-terminal -> Right click to the command line

reporter:       libreport-2.6.3.40.gaa2e5
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gdk_wayland_device_get_focus
executable:     /usr/libexec/gnome-terminal-server
global_pid:     4035
kernel:         4.4.0-0.rc8.git1.2.fc24.x86_64
package:        gnome-terminal-3.18.2-1.fc24
reason:         gnome-terminal-server killed by SIGSEGV
runlevel:       3 5
type:           CCpp
uid:            18601

Comment 23 Jakub Filak 2016-01-08 10:08:00 UTC
*** Bug 1296857 has been marked as a duplicate of this bug. ***

Comment 25 Vít Ondruch 2016-01-08 11:10:40 UTC
Kalev, is there chance to release some fix (comment #21 ?) for this issue? It is pretty annoying. The terminal crashes for various occasions

Comment 26 Bill Gianopoulos 2016-01-09 17:28:09 UTC
(In reply to Alexandre Mazari from comment #21)
> AFAIK the roo cause of his bug is shared with
> https://bugzilla.redhat.com/show_bug.cgi?id=1293993
> 
> he attached patch fixes the issue. It simply backpor a gtk3 commit relative
> to focus handling. Should this be pushed or shall we wait for gtk 3.19.6 ?

This makes sense to me now.  After looking at the changes in this patch, I retested on another computer with AMD graphics and that crashes as well.  This has nothing to do with AMD versus Intel graphics.  The laptop that does not experience the crashes has a touch screen and the other 2 do not.

Comment 27 Bill Gianopoulos 2016-01-11 19:38:28 UTC
I have verified that this issue is fixed by gtk3-3.19.6-1.fc24

Comment 28 Kalev Lember 2016-01-11 19:39:40 UTC
Excellent, thanks for verifying!

Comment 29 Vít Ondruch 2016-01-12 08:22:19 UTC
(In reply to Bill Gianopoulos from comment #27)
Works for me as well. Thx


Note You need to log in before you can comment on or make changes to this bug.